<?
if ( $this -> params['label'] )
{
  $out .= '<div class="form_group">';
    $out .= '<label class="label">' . $this -> params['label'] . ':</label>';
    $out .= '<div class="input">';
}

      $out .= '<textarea ';

        if ( $this -> params['id'] )
          $out .= 'id="' . $this -> params['id'] . '" ';

        if ( $this -> params['class'] or $this -> params['label'] )
        {
          if ( $this -> params['label'] )
            $out .= 'class="' . $this -> params['class'] . ' form-control" ';
          else if ( $this -> params['class'] )
            $out .= 'class="' . $this -> params['class'] . '" ';
        }

        $out .= 'name="' . $this -> params['name'] . '" ';

        if ( $this -> params['style'] )
          $out .= 'style="' . $this -> params['style'] . '" ';

        if ( $this -> params['placeholder'] )
          $out .= 'placeholder="' . $this -> params['placeholder'] . '" ';

      $out .= ' rows="' . $this -> params['rows'] . '">' . $this -> secureHTML( $this -> params['value'] ) . '</textarea>';

if ( $this -> params['label'] )
{
    $out .= '</div>';
  $out .= '</div>';
}

echo $out;